#include <bits/stdc++.h>

#define ll long long

using namespace std;

void test1(ll arr[], int n) {

    ll x = 0;
    for(int b = 0; b <= 35; b++) {
        int br = 0;
        for(int i = 0; i < n; i++)
            if(arr[i] & (1 << b))
                br++;
        if(br > n - br)
            x ^= (1 << b);
    }

    ll sum = 0;
    for(int i = 0; i < n; i++)
        sum += arr[i] ^ x;
    cout << sum << endl;
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, m;
    cin >> n >> m;

    ll mat[n][m];
    for(int i = 0; i < n; i++)
        for(int j = 0; j < m; j++)
            cin >> mat[i][j];

    if(n == 1) {
        test1(mat[0], m);
        return 0;
    }
    return 0;
}